﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using ConsoleApp;
using KdbndpTypes;
using Microsoft.Extensions.DependencyInjection;
using SlnMesnac.Common;
using SlnMesnac.Model.domain;
using SlnMesnac.Model.dto;
using SlnMesnac.Repository.service;

namespace SlnMesnac.Business.business
{
    /// <summary>
    /// RFID打卡业务逻辑类
    /// </summary>
    public class RfidHandleBusniess
    {
        private readonly  HidUtils _utils;
        private IBaseStaffService _baseStaffService;
        public string _uidCode = "";
        

        public RfidHandleBusniess(HidUtils utils,IBaseStaffService baseStaffService)
        {
             this._utils = utils;
             this._baseStaffService = baseStaffService;
        }

        string staffInfo = "";
        string tagInfoStr = "";

        ///  <summary>
        ///  上班打卡
        ///  </summary>
        public void CheckIn()
        {
            _utils.StartScan();
        }

        ///  <summary>
        ///  下班打卡
        ///  </summary>
        public void CheckOut()
        {
            _utils.StartScan();
        }
    }
}
